## org.eclipse.emf.mint
Enum CodeGenStatus

    java.lang.Object
      java.lang.Enum<CodeGenStatus>
          org.eclipse.emf.mint.CodeGenStatus

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CodeGenStatus>

    public enum CodeGenStatus

extends java.lang.Enum<CodeGenStatus>

Enumeration representing the code generation status of a Java type `member`.

Enum Constant Summary
`GENERATED` Value indicating that the member is generated by EMF (i.e., has `@generated` in its Javadoc comment).
`GENERATED_NOT` Value indicating that the member was originally generated by EMF but was subsequently customized (i.e., has `@generated NOT` in its Javadoc comment).
`NONE` Value indicating that the member is not generated by EMF.

Method Summary
`static CodeGenStatus` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CodeGenStatus[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final CodeGenStatus NONE

  Value indicating that the member is not generated by EMF.

### GENERATED

    public static final CodeGenStatus GENERATED

  Value indicating that the member is generated by EMF (i.e., has `@generated` in its Javadoc comment).

### GENERATED_NOT

    public static final CodeGenStatus GENERATED_NOT

  Value indicating that the member was originally generated by EMF but was subsequently customized (i.e., has `@generated NOT` in its Javadoc comment).

Method Detail

### values

    public static final CodeGenStatus[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(CodeGenStatus c : CodeGenStatus.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static CodeGenStatus valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Copyright 2008 Ecliptical Software Inc. and others. All Rights Reserved.